pdf2swf(1)

NAME
pdf2swf - convert PDF files into SWF

Synopsis
pdf2swf [options] file.pdf -o file.swf

DESCRIPTION
This tools converts Acrobat PDF files into Flash SWF Animation files.

OPTIONS

-h, --help
    Print short help message and exit

-V, --version
    Print version info and exit

-p, --pages range
    Convert only pages in range with range e.g. 1-20 or 1,4,6,9-11 or 3-5,10-12

-v, --verbose
    Be verbose. Use more than one -v for greater effect.

-z, --zlib
    Use Flash 6 (MX) zlib compression. The resulting SWF will not be playable in browsers with Flash Plugins 5 and below!

-i, --ignore
    Allows pdf2swf to change the draw order of the pdf. This may make the generated SWF files a little bit smaller, but it may also cause the images in the pdf to look funny.

-j, --jpegquality quality
    Set quality of embedded jpeg pictures to quality. 0 is worst (small), 100 is best (big). (default:85)

-w, --samewindow
    When converting pdf hyperlinks, don't make the links open a new window when clicked on, but open the page they point to in the window the SWF is displayed.

-t, --stop
    Insert a stop() command in each page. The resulting SWF file will not turn pages automatically.

-T, --flashversion num
    Set Flash Version in the SWF header to num.

-F, --fontdir directory
    Add directory to the font search path.

-b, --defaultviewer
    Link a standard viewer to the swf file. Therefore the swf file will be "browseable", i.e. display some buttons for turning pages. The viewer swf to be used is determined by a symlink named "default_viewer.swf" in the swftools data directory.

-l, --defaultloader
    Link a standard preloader to the swf file which will be displayed while the main swf is loading. The loader swf to be used is determined by a symlink named "default_loader.swf" in the swftools data directory.

-B, --viewer filename
    Link viewer filename to the swf file. See http://www.quiss.org/swftools/pdf2swf_usage.html for information on how to create your own viewers.

-L, --loader filename
    Link preloader filename to the swf file, where filename is an arbitrary swf animation.

BUGS

dashed lines don't work.

AUTHOR
Matthias Kramm <kramm@quiss.org>